# Class TCEFWorkSchedulerThread

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFWorkSchedulerThread

## Declaration

`type TCEFWorkSchedulerThread = class(TThread)`

## Description

This item has no description.

## Hierarchy

- TObject
- TThread
- TCEFWorkSchedulerThread

## Overview

### Fields

| `FCritSect: TCriticalSection;`
| `FInterval: integer;`
| `FEvent: TEvent;`
| `FOnPulse: TNotifyEvent;`
| `FPulsing: boolean;`
| `FMustReset: boolean;`
| `FDefaultInterval: integer;`

### Methods

| `function Lock: boolean;`
| `procedure Unlock;`
| `function CanPulse(var aInterval : integer) : boolean;`
| `procedure DoOnPulseEvent;`
| `procedure EventTimeOut;`
| `procedure SignaledEvent;`
| `procedure Execute; override;`
| `constructor Create;`
| `destructor Destroy; override;`
| `procedure AfterConstruction; override;`
| `procedure NextPulse(aInterval : integer);`

### Properties

| `property DefaultInterval : integer read FDefaultInterval write FDefaultInterval default CEF_TIMER_MAXDELAY;`
| `property OnPulse : TNotifyEvent read FOnPulse write FOnPulse;`

## Description

### Fields

| `FCritSect: TCriticalSection;`
This item has no description.

| `FInterval: integer;`
This item has no description.

| `FEvent: TEvent;`
This item has no description.

| `FOnPulse: TNotifyEvent;`
This item has no description.

| `FPulsing: boolean;`
This item has no description.

| `FMustReset: boolean;`
This item has no description.

| `FDefaultInterval: integer;`
This item has no description.

### Methods

| `function Lock: boolean;`
This item has no description.

| `procedure Unlock;`
This item has no description.

| `function CanPulse(var aInterval : integer) : boolean;`
This item has no description.

| `procedure DoOnPulseEvent;`
This item has no description.

| `procedure EventTimeOut;`
This item has no description.

| `procedure SignaledEvent;`
This item has no description.

| `procedure Execute; override;`
This item has no description.

| `constructor Create;`
This item has no description.

| `destructor Destroy; override;`
This item has no description.

| `procedure AfterConstruction; override;`
This item has no description.

| `procedure NextPulse(aInterval : integer);`
This item has no description.

### Properties

| `property DefaultInterval : integer read FDefaultInterval write FDefaultInterval default CEF_TIMER_MAXDELAY;`
This item has no description.

| `property OnPulse : TNotifyEvent read FOnPulse write FOnPulse;`
This item has no description.

Generated by PasDoc 0.16.0-snapshot.